Favicon

You are here: Home > API Reference > Apple > Apple Devices > Get admDevice agent config by Id

Get admDevice agent config by Id

Required Permission: mdm.apple.device.get

Get admDevice agent config by Id

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/agent-config
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/agent-config" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/agent-config", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/agent-config",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDeviceId string
required
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Responses

200 Response application/json
status boolean optional
data object optional
config object optional
checkInterval integer optional
≥ 0
allowRefreshAction boolean optional
configAssets object optional
checkInterval integer optional
≥ 0
ios object optional
deviceInfo object optional
networkStatus object optional
policyFeatures array [object] optional
location object optional
applicationsTime object optional
applicationsTransfer object optional
macos object optional
scripts object optional
deviceInfo object optional
networkStatus object optional
policyFeatures array [object] optional
location object optional
applicationsTime object optional
applicationsTransfer object optional
{
    "status": true,
    "data": {
        "config": {
            "checkInterval": 0,
            "allowRefreshAction": true
        },
        "configAssets": {
            "checkInterval": 0
        },
        "ios": {
            "deviceInfo": {
                "batteryUsage": {
                    "active": true,
                    "queueLength": 0,
                    "refreshInterval": 0
                },
                "bluetooth": {
                    "active": true,
                    "refreshInterval": 0
                },
                "systemInfo": {
                    "active": true,
                    "refreshInterval": 0,
                    "blackList": [
                        "string"
                    ]
                }
            },
            "networkStatus": {
                "active": true,
                "refreshInterval": 0,
                "queueLength": 0
            },
            "policyFeatures": [
                {
                    "reason": "toggled",
                    "active": true,
                    "isDefaultView": true,
                    "name": "applications"
                }
            ],
            "location": {
                "active": true,
                "refreshInterval": 0,
                "queueLength": 0
            },
            "applicationsTime": {
                "active": true,
                "queueLength": 0,
                "reportLimit": 0,
                "refreshInterval": 0
            },
            "applicationsTransfer": {
                "active": true,
                "queueLength": 0,
                "reportLimit": 0,
                "refreshInterval": 0
            }
        },
        "macos": {
            "scripts": {
                "active": true,
                "checkInterval": 0
            },
            "deviceInfo": {
                "batteryUsage": {
                    "active": true,
                    "queueLength": 0,
                    "refreshInterval": 0
                },
                "bluetooth": {
                    "active": true,
                    "refreshInterval": 0
                },
                "systemInfo": {
                    "active": true,
                    "refreshInterval": 0,
                    "blackList": [
                        "string"
                    ]
                }
            },
            "networkStatus": {
                "active": true,
                "refreshInterval": 0,
                "queueLength": 0
            },
            "policyFeatures": [
                {
                    "reason": "toggled",
                    "active": true,
                    "isDefaultView": true,
                    "name": "applications"
                }
            ],
            "location": {
                "active": true,
                "refreshInterval": 0,
                "queueLength": 0
            },
            "applicationsTime": {
                "active": true,
                "queueLength": 0,
                "reportLimit": 0,
                "refreshInterval": 0
            },
            "applicationsTransfer": {
                "active": true,
                "queueLength": 0,
                "reportLimit": 0,
                "refreshInterval": 0
            }
        }
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}